Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Dynamic Languages Toolkit (DLTK) » ShellEd: No/wrong interpreter on Win7?
icon5.gif  ShellEd: No/wrong interpreter on Win7? [message #1745558] Wed, 12 October 2016 13:31 Go to next message
Felix Zett is currently offline Felix ZettFriend
Messages: 2
Registered: October 2016
Junior Member
Hi!

I'm running Eclipse Neon on Win7.
I installed DLTK ShellEd IDE 5.6 from the update site. The editor shows, syntax highlighting works.

I don't see any shell completion or man page integration though. When I hover over almost anything in my bash file, I get an empty tooltip.
Under Preferences / Shell Script / Interpreters, I added my cygwin bash.exe. I also tried winbash [1], no difference.

Any ideas?
Thanks!
Felix

[1] http:// win-bash.sourceforge .net/
Re: ShellEd: No/wrong interpreter on Win7? [message #1745571 is a reply to message #1745558] Wed, 12 October 2016 15:32 Go to previous message
Felix Zett is currently offline Felix ZettFriend
Messages: 2
Registered: October 2016
Junior Member
I started Eclipse with -debug -consolelog to see what's going on.
Upon hovering over a keyword in a shell script, an error would show up stating that the man executable can't be found at /usr/bin/man -- duh. So I dug through the Eclipse preferences and noticed the new Preference Page "Man pages". There, I put the cygwin man.exe (C:\cygwin64\bin\man.exe).

Now the error is gone, but still nothing shows up.

The setup is:
Preferences / Man pages / Man executable path: C:\cygwin64\bin\man.exe
Preferences / Shell Script / Interpreters / Interpreter executable: C:\cygwin64\bin\bash.exe
Preferences / Shell Script / Interpreters / Interpreter system libraries: C:\cygwin64\bin
Previous Topic:Java 8?
Next Topic:ShellEd did not recognise variables with leading underscore
Goto Forum:
  


Current Time: Thu Nov 15 02:47:04 GMT 2018

Powered by FUDForum. Page generated in 0.01608 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top